%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% File name: PlotCondition.m
%
% Description: Generates a plot of the evolution of the 2-norm condition
% number during identification.
%
% Inputs: Saved estimates.
%
% Outputs: Condition number evolution plot.
%
% Author and copyright: Torbjrn Wigren
%                       Systems and Control
%                       Department of Information Technology
%                       Uppsala University
%                       Uppsala
%                       Sweden
%
% Revision log: Created 2004-09-06.
%
% Firm revision: revision 1.0, 2004-12-23.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%
% Prepare downsampling
%

SamplingInstances_DownSampled=SamplingInstances(downSampling:downSampling:N);

figure

%
% Plot
%

semilogy(SamplingInstances_DownSampled',condition_save(:,1:ceil(N/downSampling))');
xlabel('time [s]');
ylabel('condition number of the Hessian');
grid