%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% File name: PlotParameters.m
%
% Description: Generates a plot of the evolution of (a selected
%              subset of) the parameter values during identification.
%
% Inputs: Saved estimates.
%
% Outputs: Parameter evolution plot.
%
% Author and copyright: Torbjrn Wigren
%                       Systems and Control
%                       Department of Information Technology
%                       Uppsala University
%                       Uppsala
%                       Sweden
%
% Revision log: Created 2003-06-05.
%
% Firm revision: revision 1.0, 2004-12-23.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%
% Prepare downsampling
%

SamplingInstances_DownSampled=SamplingInstances(downSampling:downSampling:N);

figure

%
% Plot
%

plot(SamplingInstances_DownSampled',theta_save(:,1:ceil(N/downSampling))');
xlabel('time [s]');
ylabel('parameters');
grid