%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% File name: SetupLive.m
%
% Description: Script that sets up parameters needed for identification
%              using measured data.
%
% Inputs: as written into the file. The measured input vectors need to
%         be loaded manually into MATLAB.
%
% Outputs: Parameters needed for identification.
%
% Author and copyright: Torbjrn Wigren
%                       Systems and Control
%                       Department of Information Technology
%                       Uppsala University
%                       Uppsala
%                       Sweden
%
% Revision log: Created 2004-03-31.
%
% Firm revision: revision 1.0, 2004-12-23.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%
% Set up parameters for identification with live data
%

% dimensions...Note that nx is not really relevant, 
% it is however required in the RPEM setup so it is set in this file

nu=[]; % Input signal dimension
nx=[]; % State dimension
ny=[]; % Output dimension, normally 1

% sampling time and data length

Ts=[]; % Sampling time in seconds
N=[]; % Number of data points
SamplingInstances=(Ts:Ts:N*Ts);
