%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% File name: h.m
%
% Description: The RHS of the output equation of the system
%              that is modelled. Used for generation of 
%              simulated data. 
%
% Inputs: t - current time
%         x(:,t) - current state
%         u(:,t) - current input
%         e(:,t) - current disturbance
%
% Outputs: h(:,1) - RHS of output equation
%
% Author and copyright: Torbjrn Wigren
%                       Systems and Control
%                       Department of Information Technology
%                       Uppsala University
%                       Uppsala
%                       Sweden
%
% Revision log: Created 2003-05-02.
%
% Firm revision: revision 1.0, 2004-12-23.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [h]=h(t,x,u,e);
   h=x(2,1)+e(1,1);
end